# Catalan Government Crawling
## Directory structure

<pre>
corpus/
catalan_government_crawling.txt: Catalan corpus in txt format crawled from the Generalitat domains.
</pre>

## Sources
The Catalan Government Crawling Corpus is a 39-million-token web corpus of Catalan built from the web. It has been obtained by crawling the .gencat domain and subdomains, belonging to the Catalan Government during September and October 2020. It consists of 39.117.909 tokens, 1.565.433 sentences and 71.043 documents. Documents are separated by single new lines. It is a subcorpus of the Catalan Textual Corpus.

## Processing
In order to be able to obtain a high-quality corpus, we applied strict filters to the raw data, by means of a cleaning pipeline built for the purpose. This pipeline supports 100+ languages and stands out for keeping document boundaries, instead of being sentence-based, which allows maintaining long-range dependencies.

Some of the supported input formats accepted:
- WARC (crawling)
- Plain text

Some of the text transformations applied:
- Encoding fixing and UTF-8 normalization
- Markup cleaning
- Sentence splitting
- Recover sentence splitting from badly converted PDFs

Some of the (heuristic) filters applied:
- Cascade of language identifiers
- Deduplication both at sentence and document level
- Percentage of characters not belonging to the alphabet
- Character length per sentence standard deviation of documents

## Contact
Ona de Gibert Bonet (ona.degibert@bsc.es)

Marta Villegas (marta.villegas@bsc.es)

## License
[![License: CC0 1.0](https://licensebuttons.net/l/zero/1.0/80x15.png)](https://creativecommons.org/publicdomain/zero/1.0/)

The corpus is released under this licensing scheme:
- We do not own any of the text from which these data has been extracted and preprocessed to be ready for use for language modeling tasks.
- We license the actual packaging of these data under a [CC0 1.0 Universal License](https://creativecommons.org/publicdomain/zero/1.0/)

### Notice and take down policy

Notice: Should you consider that our data contains material that is owned by you and should therefore not be reproduced here, please:

    Clearly identify yourself, with detailed contact data such as an address, telephone number or email address at which you can be contacted.
    Clearly identify the copyrighted work claimed to be infringed.
    Clearly identify the material that is claimed to be infringing and information reasonably sufficient to allow us to locate
    
For more information, please see <https://creativecommons.org/publicdomain/zero/1.0/>

Copyright (c) 2021 Text Mining Unit at BSC

